%define         anolis_release 3
%global         base_version 1.9764
%global         modname Time-HiRes

Name:           perl-%{modname}
Version:        1.9770
Release:        %{anolis_release}%{?dist}
Summary:        High resolution alarm, sleep, gettimeofday, interval timers
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/%{modname}
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/%{modname}-%{base_version}.tar.gz

Patch0001: 	0001-update-to-1.9770.patch	

BuildRequires:  gcc make
BuildRequires:  coreutils findutils
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl-devel perl(Config) perl(ExtUtils::Constant) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Temp) perl(File::Spec) perl(strict) perl(Carp)
BuildRequires:  perl(Test::More) perl(Exporter) perl(XSLoader) perl(POSIX)

Requires:       perl(Carp)

%{?perl_default_filter}

%description
Time::HiRes module: High resolution time, sleep, and alarm.

Implement usleep, ualarm, and gettimeofday for Perl, as well as wrappers
to implement time, sleep, and alarm that know about non-integral seconds.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{modname}-%{base_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Time*
%{_mandir}/man3/*

%files doc
%doc TODO README Changes

%changelog
* Tue Apr 19 2023 happy_orange <songnannan@linux.alibaba.com> - 1.9770-3
- update the provides from perl 5.36

* Fri Apr 14 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 1.9770-2
- Refactor the specfile

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.9770-1
- remove versioned MODULE_COMPAT_ requires
- update to version 1.9770

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.9764-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 yuanhui <yuanhui@linux.alibaba.com> - 1.9764-1
- Init perl-Time-HiRes for anolis os 23
